﻿#ifndef ZDATEEDIT_H
#define ZDATEEDIT_H

#include <QWidget>
#include <QDateEdit>
#include <QPushButton>
#include <QLabel>


QT_BEGIN_NAMESPACE
class QPushButton;
class QComboBox;
class QGroupBox;
class QLineEdit;
class QDate;
class QGridLayout;
class QHBoxLayout;
class QVBoxLayout;

class Event;
class DataBase;
QT_END_NAMESPACE

class DayLabel;
class CalendarWidget;

class ZDateEdit : public QDateEdit
{
    Q_OBJECT
public:
    explicit ZDateEdit(QWidget *parent = nullptr);
    ~ZDateEdit();

    void setDisplayFormat(const QString &format);

private:
    QPushButton *m_popupButton=nullptr;
    CalendarWidget* m_pCldrWgt;
    QDateTime m_dateTime;
    QString m_strFormat;

public slots:
    void showCalendarWidget();

protected slots:
    void slotDayClicked(const QDateTime & dt);
};

#endif // ZDATEEDIT_H
